Bug 193872 - Please include Greek during the installation process
Please include Greek during the installation process
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On: 170218
Blocks: 196328
  Show dependency treegraph
Reported: 2006-06-02 10:49 EDT by Nikos Charonitakis
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-04 14:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nikos Charonitakis 2006-06-02 10:49:18 EDT
Description of problem:
The translation of the essential packages for the Greek language, at
the time of this writing near 100 %,  thus it should be included and
supported during the installation process of Fedora Core 6.

Short name:
el                               (ISO 639)

Default Locale:

Default keyboard map:

[Users prefer the final settings to be "us,gr" (that is, ability to
switch between US English and Greek), and use Alt-Shift as the
shortcut for the switching. There is a variant for the Greek keyboard
called "extended" that we prefer to have enabled. See

Console font:
the default "latarcyrheb-16" is not good for Greek. There
is a Unicode console font with English and Greek. 
i have tried
iso07u-16.psfu.gz which works good with the exception of screen corruption.
For example i can run normally a system-config-something-tui in console but when
i switch back to graphics enviroment and then back to text mode i can see a
corrupted enviroment...

Desktop font:
Dejavu (better choice for Greek)

> Timezone:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Dimitris Glezos 2006-06-02 11:21:09 EDT
These issues are important and should be solved as soon as possible. Fedora has
a reputation of poor quality for greek and we should correct these bugs asap to
be able to test them in the test cycles.

Besides the greek language being included in the installer, the fonts issue is a
major one. Having broken characters showing here and there is frustrating and
gives a very bad first impression. As Simos Xenitellis noted in bug 170218:

> It is important to note that without DejaVu, characters not found
> in Vera are rendered from FreeFont which shows differently. As Vera# limited
> coverage, many languages are affected (Greek, Central European, Cyrillic).

If we address this now, we will have a lot of time to test the new font and how
the system will behave with the "small" change in /etc/fonts.conf.

- D. Glezos
Comment 2 Dimitris 2006-06-02 15:02:01 EDT
Yes, Fedora is known for its bad Greek support. Unfortunately the problem is
that redhat never gave any extra support and our Greek community hasn't pushed
them enough.

There is a problem with PDF files and evince. Evince will loop with 100% cpu
usage if the PDF contains Greek fonts. I was told the problem would be fixed by FC6.

Comment 3 Simos Xenitellis 2006-06-02 20:37:48 EDT
I've replaced Bitstream Vera with DejaVu on my FC5 box, 

Click on the image above to view the fullscreen size.

Although I use 8pt font size, the font looks really good on my system and I am
satisfied with the quality.

Comment 4 Jeremy Katz 2006-06-04 14:33:54 EDT
Added Greek to the language list for anaconda.  And I'll try to follow up in
person on the font question since that's not something I can directly change.
Comment 5 Simos Xenitellis 2006-06-05 08:27:43 EDT
Screenshot of Ubuntu 6.06 (LTS) and the Greek desktop, showing off DejaVu as the
default font:

In Ubuntu 6.06 (LTS), DejaVu is the default font on the desktop. DejaVu is
derived from Bitstream Vera, therefore Western European users do not notice any

DejaVu (2.5+) covers, among others, Greek (modern, ancient/polytonic) and
Cyrillic (East European and Central Asian).
Comment 6 Nikos Charonitakis 2006-06-07 10:17:12 EDT
console font iso07u-16.psfu.gz now works fine and shows greek characters without
the problem mentioned before (corruption)
this is true with the latest FC5 kernel 2.6.16-1.2122_FC5

so when installation language is greek
/etc/sysconfig/i18n must look like this:


Note You need to log in before you can comment on or make changes to this bug.